Introduction

 An Introduction to iMiser

IMiser is used to save text, images, and entire Web pages in an easy-to-use database. IMiser is a powerful research tool and can be used to organize the Web, newsgroup messages, and e-mail, as well as local files. You may prefer to use the floating Drop Target to save data. The Drop Target sits on top of your Desktop, waiting for you to drag and drop text files, images, or selected text from your word processor or newsreader. It also sits on top of your Web browser, waiting for you to drag and drop selected text or images from the browser. Clicking the Drop Target will display a menu for importing Web pages or the text on a Web page.

IMiser can also be used as a stand-alone tool for saving data since it has its own Web browser. After a Web page is finished loading in iMiser, an Internal Drop Target will appear to the right of the browser's address bar. Text and images can be dragged and dropped on this Drop Target. from the iMiser browser. Clicking this Drop Target will display an import menu.

IMiser works with Microsoft® Internet Explorer, Netscape® Navigator, and the America Online® and Compuserve® Web browsers. However, if you're using America Online or Compuserve, saving Web pages is more accurate and faster with the iMiser Web browser.

Parts of the iMiser Screen


Introduction

 What's New

To highlight important Web page text in yellow, select the text and right-click it or click [image] on the toolbar. Highlight light-colored text in blue.
Now you can automatically organize your documents by adding a document to Favorites during an import. Just click the checkbox on the first screen of the Import Wizard.
Now you can add a Keyword by double-clicking a word in the Document Window.
You can add a phrase to Keywords by dragging it and dropping it on the Add Keyword Box. You can also use the Right-Click Menu to add a phrase to Keywords. Select a word or phrase and right-click it.
You can get a full-screen view of the Document Window by clicking [image].
The Document Window can be resized horizontally by dragging the Splitter Bar to the right of the window.


AddingText

  1. Click the Drop Target button [image] on the toolbar or press Ctrl+T.

    This will display a floating Drop Target/Import Menu

  2. Select the text of interest in your Web browser, word processor, or any program that is drag-enabled. Release the mouse button.
  3. Drag the text over the Drop Target. Do this by clicking down on the left mouse button and moving the mouse cursor to the Drop Target.
  4. Release the mouse button when the pelican's mouth opens.
    This is usually a good sign that drag and drop can be achieved.
  5. If Quick Save is turned off, the Import Wizard will then open and will prompt you for a Title, Date, and Keywords for this document.

Note: When you are ready to import another document, it's best to click the Drop Target button [image] on the toolbar again or press Ctrl+T again.

Similarly, text files can be added from Windows Explorer, from the Desktop, and from My Computer. Click and drag the file from Windows Explorer or click and drag the icon from the Desktop or from My Computer and drop it on the iMiser Drop Target.

E-mail Tip
When saving e-mail, be sure to highlight and drag and drop the Subject and the Date for best results.


Saving Text Manually

  1. Select the text of interest in your Web browser, word processor, or any program that displays text. Ctrl+A is often used to select All text.
  2. Copy the text with Ctrl+C, with the Edit menu if available, or by right-clicking the selected text and choosing Copy if that option is available.
  3. In iMiser, click the Add New Record button [image] to add a new record to your database.
  4. Click the Document window and press Ctrl+V or select Paste from the Edit menu.
    You can also right-click the Document window and select Paste.


Saving Images

  1. Click the Drop Target button [image] on the toolbar or press Ctrl+T.

    This will display a floating Drop Target/Import Menu
  2. Drag the image over the Drop Target
  3. Release the mouse button when the pelican's mouth opens.
    This is usually a good sign that drag and drop can be achieved.

  4. After an image is saved, the Image Viewer button [image] on the toolbar will be highlighted. You can view the image by clicking this button.
Images can also be added from Windows Explorer, from the desktop, and from My Computer.

 Note: images that are also links cannot be saved in the current version of iMiser. Such images can be saved to disk by right-clicking the image, selecting Save Picture As, then dragging and dropping the image into iMiser.


Saving Web Pages

  1. Click the Drop Target icon [image] on the toolbar or press Ctrl+T.

    This will display a floating Drop Target/Import Menu

  2. Click the iMiser Drop Target and select Save Web Page and iMiser will attempt to save the HTML, images, and other files for that page.
  3. If Quick Save is turned off, the Import Wizard will then open and will prompt you for a Title, Date, and Keywords for this document.
Note: When you are ready to import another document, it's best to click the Drop Target button [image] on the toolbar again or press Ctrl+T again.


Saving All Text on a Web Page

  1. Click the Drop Target icon [image] on the toolbar or press Ctrl+T.

    This will display a floating Drop Target/Import Menu
  2. Click the iMiser Drop Target and select Save All text on Web Page and
    iMiser will attempt to save the visible text on the page.
  3. If Quick Save is turned off, the Import Wizard will then open and will prompt you for a Title, Date, and Keywords for this document.


Recommendations for Saving Data

    We recommend that you Save Text rather than Save Web Pages because
  • Saving text is much faster.
  • Saving Web pages takes up much more disk space.
  • Saved text will be much faster to search.

    However, we recommend that you Save Web Pages when
  • Data (e.g., a table) on the Web page is easier to view because of its format.
  • The images on the Web page are important to understanding the page.
  • The Web page is more esthetically pleasing than text.


Going Online with the iMiser Web Browser

You can go online and make the Web browser visible by clicking [image] on the toolbar. The browser will navigate to the URL of the current record.

You can also go online by entering a URL in the browser's address bar and pressing Enter or clicking Go.

A third way to go online is to click the Home button. You can change the default home page in Preferences -> Internet.

Note:
The iMiser Web browser is not meant to replace your default Web browser. However, some people may find it more convenient than their default browser for saving data. The internal Drop Target/Import Menu will import data faster and more accurately than using certain browsers, e.g., the Compuserve® and America Online® browsers and Netscape® Navigator.


The Internal Drop Target/Import Menu

When you go online with the iMiser Web browser, the normally green LED [image] will turn red [image]. When the browser is finished loading the Web page, the Internal Drop Target/Import Menu will appear. This drop target will function exactly the same as the external drop target and will allow you to import data into iMiser without an external Web browser. Text and images in the iMiser browser can be dragged and dropped on the drop target. Click the drop target to display an import menu.


Introduction

 Using the Import Wizard

If Quick Save is turned off, the Import Wizard will open up when saving text or saving a Web page and will prompt you for a Title, a Date, and one or more Keywords for this document. In most cases, the Import Wizard will help you quickly select a title, date, and keywords. Note that the title, date, and keywords can be modified at any time in the future.

Now you can automatically organize your documents by adding a document to Favorites during an import. Just click the checkbox on the first screen of the Import Wizard or change it in Preferences -> Imports.


Selecting a Title

When importing data from a Web browser, the selection Use the Title of the Web Page will be an option, provided that the Web page has a title. In most cases, Use the First line of text will be an option. Occasionally, the document will contain the words "Subject:" or "Topic:," in which case, Use the Subject or Topic if available will be an option.

Select one of these options or modify the existing text to suit your needs. Titles can be modified at any time in the future. When finished, click Next.

All documents must have a title.

Tip
 The Title can be modified by dragging text from the Document Window and dropping it on the Title Window.


Selecting a Date

When importing text or a Web page, the selection Use the Date of the Last record and Use Today's date will be options. If iMiser finds a date in the first 10,000 characters of the document, Use a date in this record, if available will also be an option.

Select one of these options or modify the existing date to suit your needs. Dates can be modified at any time in the future. When finished, click Next.

All documents should have a date.


Selecting Keywords

Keywords are words or phrases that help classify and identify a document. Several potential keywords will be derived from the title of your document, from the HTML of a Web page (if available), or from both, depending on the option you choose.

Select one or more keywords for this document by double-clicking the word in the left box or by highlighting the word and clicking the Add button >. Several words can be highlighted at the same time by dragging the cursor down the list of words. To select all words in the left box, click the Add All button >>. When finished click Finish.

Keywords are optional, however it is strongly recommended that one or more keywords or phrases be added to every record in your database. Keywords are the actual words you will use to search for records in the database using the Keyword List Search Tool. If you fail to add keywords, the only other option for finding a record will involve searching through the entire text of each document using the Search Grid Search Tool. This will take much longer than searching by keyword.

Note: Keywords can be added at any time with the Add button in the Keywords Box in the upper-right corner. Add a word or phrase and press Enter. Keywords can be deleted by highlighting the word and clicking the Del button.

Keyword Tips:
  1. Keywords can be added fast by double-clicking any word in the Document Window.
  2. Phrases can be added by dragging the text of interest to the Add Keyword Box.
  3. Phrases can also be added with the Right-Click Menu. Highlight a phrase and right-click it.
  4. Be consistent in choosing keywords. For example, consistently add only the singular of a given keyword. Be aware that many words will have synonyms. Be sure to add the same synonym at all times.


Using the Navigation Buttons

You can change to any record (document) in your database by using the Navigation buttons on the left of the toolbar.

goes to the First record

goes to the Previous record

goes to the Next record

goes to the Last record


Using the Navigation Window

See Parts of the iMiser Screen.

The Navigation Window, in the lower-right corner, has three views into your database:

Click the All button [image] to view all the records in your database. You can go to any record simply by clicking a title in the list.

Click the Favorites button [image] to see your Favorites. Click the icon to the left of a favorite to go to that record.

Note: The Navigation Window is also used to display search results found with the Search Tools. To view search results, click the Search Results button


Introduction

 Using the Search Tools

Bring up the Search Tools by clicking [image] on the toolbar or by pressing Ctrl+S.

You can search by Keyword or you can search the entire text of every record. Searching by Keyword is the fastest way to find a record in your database.


The Keyword List Tool

  1. Select Search for 1 keyword for your initial search.
  2. Click the Down Arrow in the drop-down list and select a keyword.
  3. Optionally select Use Date range to narrow (limit) your search. Enter a date in the From: and To: boxes. These dates will be saved for future searches.
  4. Click the Search button. All records for which you have added this
    keyword will be displayed in the Navigation Window in the lower-right corner.
  5. Click a Title under Search Results to view that record.

Note: You can switch back to a view of All Records by clicking the All button.

Keyword Search Tip
 If you get too many search results to be practical, you can narrow (limit) your search by selecting Search for 2 keywords or Search for 3 keywords.


The Search Grid Tool

  1. Enter up to four words or phrases. The text of each record will be searched for these words.
  2. Optionally select Use Date range to narrow (limit) your search. Enter a date in the From: and To: boxes. These dates will be saved for future searches.
  3. Optionally select Find Whole words only to narrow (limit) your search.
  4. Click the Search button. Records containing All of the words or phrases will be displayed in the Navigation Window in the lower-right corner.
  5. Click a Title under Search Results to view that record.

Note: You can switch back to a view of All Records by clicking the All button.

Search Grid Tip
 If you get too many search results to be practical using only one word or phrase, you can narrow (limit) your search by entering words or phrases in one or more of the remaining text boxes.


Finding a Word with Saved Text

Bring up the Text Finder tool by clicking [image] on the toolbar or by pressing Ctrl+F

  1. Enter a word or phrase you want to find in the current document.
  2. Click the Find button or press Enter. If the word is found, it will be highlighted
  3. To find other instances of the word or phrase, click Find Next or press Enter
Finding a Word with a Saved Web Page

If you are searching for text on a saved Web page, the familiar Microsoft® Internet Explorer tool Find (on This Page) will appear. Enter a word or phrase and click Find Next or press Enter


 Using Favorites

Favorites are used to organize everything in your database in a tree-like hierarchy. You can create an unlimited number of subfolders in the treeview. Click the Favorites button [image] to view your Favorites.

Tip
 You can reorganize your Favorites by dragging and dropping a folder to a different location. Note that the only way to undo this action is to drag it back again.


Adding a New Folder to Favorites

Select an existing folder. Click the New Folder button [image] on the lower-right.

The New Favorites Folder box will be displayed.

Enter a name for the new folder, and select where to place the new folder in relation to the folder that was selected.


Adding the Current Record to Favorites

First select a folder, then click the Add Favorite button [image]. If the record has been added to Favorites already, you will be asked if you are sure you want to add it again.


Deleting a Record or Folder from Favorites

Select a folder or record, then click the Delete Favorite button [image]. If the folder you are trying to delete contains other records or folders, you will be asked if you are sure you want to delete it.

Note: Deleting a record from Favorites will not delete it from your database. However, deleting a record from your database will delete it from Favorites.


Using the Goto Button

You can go to any record in your database with the Goto button [image]. Simply enter the record number and press Enter or click Go to.